Bug 85517 - ps/2 mouse does not work if pluged in after boot
ps/2 mouse does not work if pluged in after boot
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-03-03 16:44 EST by Andy Rysin
Modified: 2014-03-16 22:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-04 17:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Rysin 2003-03-03 16:44:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030210

Description of problem:
ps/2 mouse is compiled into the kernel and if not plugged in before booting
linux would not work.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. plug off ps/2 mouse
2. reboot the system
3. try to run kudzu - it'll remove ps/2 from configuration

Actual Results:  no mouse support

Expected Results:  mouse should be detected and picked up

Additional info:

ps/2 mouse should be compiled as a module to fix this
Comment 1 Arjan van de Ven 2003-03-03 16:50:32 EST
traditionally, ps/2 is not a hotplug-capable bug. Current machines are probably
safe, but you can toast older machines electrically doing ps/2 hotplug.
Comment 2 Andy Rysin 2003-03-03 17:12:13 EST
well, keeping driver in the kernel will not help saving old machines from being
toasted with ps/2 on the fly connection but will definitely restrict users with
recent hardware to plug it in when they want or can

Comment 3 Arjan van de Ven 2003-03-03 17:15:46 EST
this also hasn't much to do with in-kernel vs module btw
I've occasionally plugged in keyboards and mice after boot, and that just works.
Yes kudzu gets confused but the kernel side just works.
Comment 4 Bill Nottingham 2005-02-04 17:57:53 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please attempt to confirm with more recent releases.

Note You need to log in before you can comment on or make changes to this bug.